package cn.iocoder.yudao.module.order.controller.app.orderPrint;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.order.service.order.OrderPrintTagService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@RestController
@Api(tags = "app-web - 打印订单标签")
@RequestMapping("/order/print")
public class AppOrderPrintTagController {

    @Resource
    private OrderPrintTagService orderPrintTagService;

    @GetMapping("/orderTagPrint")
    @ApiOperation("打印订单标签")
    public CommonResult<List> orderTagPrint(@RequestParam Long orderId) throws Exception {
        return success(orderPrintTagService.orderTagPrint(orderId));
    }
}
